Subject: Re: [PATCH net-next] Bonding: add per port priority support

From: Hangbin Liu <[email-masked]>
Date: Fri, 6 May 2022 16:12:02 +0800

On Fri, Apr 22, 2022 at 06:24:05PM +0800, Hangbin Liu wrote:
> On Mon, Apr 18, 2022 at 06:20:52PM +0800, Hangbin Liu wrote:
> > > 	Agreed, on both the comment and in regards to using the extant
> > > bonding options management stuff.
> > > 
> > > >Also, in the Documentation it is mentioned that this parameter is only
> > > >used in modes active-backup and balance-alb/tlb. Do we need to send an
> > > >error message back preventing the modification of this value when not in
> > > >these modes?
> > > 
> > > 	Using the option management stuff would get this for free.
> > 
> > Hi Jav, Jon,
> > 
> > I remembered the reason why I didn't use bond default option management.
> > 
> > It's because the bonding options management only take bond and values. We
> > need to create an extra string to save the slave name and option values.
> > Then in bond option setting function we extract the info from the string
> > and do setting again, like the bond_option_queue_id_set().
> > 
> > I think this is too heavy for just an int value setting for slave.
> > As we only support netlink for new options. There is no need to handle
> > string setting via sysfs. For mode checking, we do just do like:
> > 
> > if (!bond_uses_primary(bond))
> > 	return -EACCES;
> > 
> > So why bother the bonding options management? What do you think?
> > Do you have a easier way to get the slave name in options management?
> > If yes, I'm happy to use the default option management.
> 
> Hi Jay,
> 
> Any comments?
> 

Hi Jay,

I'm still waiting for your comments before post v2 patch. Appreciate if you
could have a better way about handling the slave name in options management.

Thanks
Hangbin